Get Procedure by ID
Get a single Procedure by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
procedure_id
ID of the Procedure.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
createdAt
creator
id
latestProcedureFlowchartConfigVersion
A simplified view of the latest version of the flowchart config. This is the
preferred way to access the latest flowchart config for procedures.
modifiedAt
name
procedureType
Allowed values:
publishedProcedureFlowchartConfigVersion
A simplified view of the published version of the flowchart config. This is
the preferred way to access the published flowchart config for procedures.
templateCollection
webUrl
procedureFlowchartDeprecated
Use latestProcedureFlowchartConfigVersion for the latest flowchart version and publishedProcedureFlowchartConfigVersion for the published flowchart version.
Errors
400
Procedure Get Request Bad Request Error
403
Procedure Get Request Forbidden Error
404
Procedure Get Request Not Found Error
429
Procedure Get Request Too Many Requests Error
500
Procedure Get Request Internal Server Error